Results 1 to 8 of 8

Thread: I keep getting a "requires the installation of untrusted packages" error

  1. #1
    Join Date
    Mar 2013
    Beans
    32

    I keep getting a "requires the installation of untrusted packages" error

    Hi everyone,

    I'm new to Ubuntu and I absolutely love it, but I'm having a problem. I have installed new updates as they were available without a problem but now I seem to have hit a road block. I keep getting a dialoge that pops up and says "requires the installation of untrusted packages" and there is only a close button.




    It wont let me install anything now. What can I do? I have 12.04 installed if thats of any help. Thx in advance
    Last edited by jooge; March 25th, 2013 at 09:20 PM.

  2. #2
    Join Date
    Jan 2013
    Beans
    525

    Re: I keep getting a "requires the installation of untrusted packages" error

    What is in the details? That usually tells WHAT packages are offending.

  3. #3
    Join Date
    Jul 2007
    Location
    Magic City of the Plains
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: I keep getting a "requires the installation of untrusted packages" error

    Can you run the following command in a terminal (Ctrl-Alt-t) and copy & paste all the output here?
    Code:
    sudo apt-get update

  4. #4
    Join Date
    Mar 2013
    Beans
    32

    Re: I keep getting a "requires the installation of untrusted packages" error

    Code:
    jooge@Phishhead:~$ sudo apt-get update
    [sudo] password for jooge: 
    Get:1 http://us.archive.ubuntu.com precise Release.gpg [198 B]
    Get:2 http://us.archive.ubuntu.com precise-updates Release.gpg [198 B]         
    Hit http://us.archive.ubuntu.com precise-backports Release.gpg                 
    Hit http://us.archive.ubuntu.com precise Release                               
    Get:3 http://us.archive.ubuntu.com precise-updates Release [49.6 kB]           
    Get:4 http://security.ubuntu.com precise-security Release.gpg [198 B]          
    Get:5 http://ppa.launchpad.net precise Release.gpg [316 B]                     
    Get:6 http://extras.ubuntu.com precise Release.gpg [72 B]                      
    Get:7 http://security.ubuntu.com precise-security Release [49.6 kB]            
    Hit http://ppa.launchpad.net precise Release                                   
    Hit http://us.archive.ubuntu.com precise-backports Release                     
    Hit http://extras.ubuntu.com precise Release                                   
    Hit http://us.archive.ubuntu.com precise/main Sources                          
    Hit http://us.archive.ubuntu.com precise/restricted Sources                    
    Hit http://us.archive.ubuntu.com precise/universe Sources                      
    Hit http://us.archive.ubuntu.com precise/multiverse Sources                    
    Hit http://us.archive.ubuntu.com precise/main amd64 Packages                   
    Hit http://us.archive.ubuntu.com precise/restricted amd64 Packages             
    Hit http://us.archive.ubuntu.com precise/universe amd64 Packages               
    Hit http://us.archive.ubuntu.com precise/multiverse amd64 Packages             
    Hit http://us.archive.ubuntu.com precise/main i386 Packages                    
    Hit http://us.archive.ubuntu.com precise/restricted i386 Packages              
    Hit http://us.archive.ubuntu.com precise/universe i386 Packages                
    Hit http://us.archive.ubuntu.com precise/multiverse i386 Packages              
    Hit http://extras.ubuntu.com precise/main Sources                              
    Hit http://us.archive.ubuntu.com precise/main TranslationIndex                 
    Hit http://us.archive.ubuntu.com precise/multiverse TranslationIndex           
    Hit http://us.archive.ubuntu.com precise/restricted TranslationIndex           
    Hit http://us.archive.ubuntu.com precise/universe TranslationIndex             
    Get:8 http://us.archive.ubuntu.com precise-updates/main Sources [370 kB]       
    Hit http://extras.ubuntu.com precise/main amd64 Packages                       
    Hit http://extras.ubuntu.com precise/main i386 Packages                        
    Get:9 http://security.ubuntu.com precise-security/main Sources [64.7 kB]       
    Ign http://extras.ubuntu.com precise/main TranslationIndex                     
    Hit http://ppa.launchpad.net precise/main Sources                              
    Hit http://ppa.launchpad.net precise/main amd64 Packages                       
    Hit http://ppa.launchpad.net precise/main i386 Packages                        
    Get:10 http://security.ubuntu.com precise-security/restricted Sources [1,950 B]
    Get:11 http://security.ubuntu.com precise-security/universe Sources [22.6 kB]  
    Get:12 http://security.ubuntu.com precise-security/multiverse Sources [1,380 B]
    Get:13 http://security.ubuntu.com precise-security/main amd64 Packages [233 kB]
    Ign http://ppa.launchpad.net precise/main TranslationIndex                     
    Get:14 http://security.ubuntu.com precise-security/restricted amd64 Packages [3,969 B]
    Get:15 http://security.ubuntu.com precise-security/universe amd64 Packages [68.6 kB]
    Get:16 http://us.archive.ubuntu.com precise-updates/restricted Sources [5,494 B]
    Get:17 http://us.archive.ubuntu.com precise-updates/universe Sources [82.7 kB] 
    Get:18 http://security.ubuntu.com precise-security/multiverse amd64 Packages [2,186 B]
    Get:19 http://security.ubuntu.com precise-security/main i386 Packages [243 kB] 
    Ign http://extras.ubuntu.com precise/main Translation-en_US                    
    Ign http://ppa.launchpad.net precise/main Translation-en_US                    
    Get:20 http://us.archive.ubuntu.com precise-updates/multiverse Sources [4,746 B]
    Get:21 http://us.archive.ubuntu.com precise-updates/main amd64 Packages [590 kB]
    Ign http://extras.ubuntu.com precise/main Translation-en                       
    Ign http://ppa.launchpad.net precise/main Translation-en                       
    Get:22 http://us.archive.ubuntu.com precise-updates/restricted amd64 Packages [10.1 kB]
    Get:23 http://us.archive.ubuntu.com precise-updates/universe amd64 Packages [189 kB]
    Get:24 http://security.ubuntu.com precise-security/restricted i386 Packages [3,968 B]
    Get:25 http://security.ubuntu.com precise-security/universe i386 Packages [70.5 kB]
    Get:26 http://security.ubuntu.com precise-security/multiverse i386 Packages [2,369 B]
    Hit http://security.ubuntu.com precise-security/main TranslationIndex          
    Hit http://security.ubuntu.com precise-security/multiverse TranslationIndex    
    Hit http://security.ubuntu.com precise-security/restricted TranslationIndex    
    Hit http://security.ubuntu.com precise-security/universe TranslationIndex      
    Hit http://security.ubuntu.com precise-security/main Translation-en            
    Hit http://security.ubuntu.com precise-security/multiverse Translation-en      
    Hit http://security.ubuntu.com precise-security/restricted Translation-en      
    Get:27 http://us.archive.ubuntu.com precise-updates/multiverse amd64 Packages [9,418 B]
    Get:28 http://us.archive.ubuntu.com precise-updates/main i386 Packages [600 kB]
    Hit http://security.ubuntu.com precise-security/universe Translation-en        
    Get:29 http://us.archive.ubuntu.com precise-updates/restricted i386 Packages [10.1 kB]
    Get:30 http://us.archive.ubuntu.com precise-updates/universe i386 Packages [191 kB]
    Get:31 http://us.archive.ubuntu.com precise-updates/multiverse i386 Packages [10.4 kB]
    Get:32 http://us.archive.ubuntu.com precise-updates/main TranslationIndex [3,564 B]
    Get:33 http://us.archive.ubuntu.com precise-updates/multiverse TranslationIndex [2,605 B]
    Get:34 http://us.archive.ubuntu.com precise-updates/restricted TranslationIndex [2,461 B]
    Get:35 http://us.archive.ubuntu.com precise-updates/universe TranslationIndex [2,850 B]
    Hit http://us.archive.ubuntu.com precise-backports/main Sources                
    Hit http://us.archive.ubuntu.com precise-backports/restricted Sources          
    Hit http://us.archive.ubuntu.com precise-backports/universe Sources            
    Hit http://us.archive.ubuntu.com precise-backports/multiverse Sources          
    Hit http://us.archive.ubuntu.com precise-backports/main amd64 Packages         
    Hit http://us.archive.ubuntu.com precise-backports/restricted amd64 Packages   
    Hit http://us.archive.ubuntu.com precise-backports/universe amd64 Packages     
    Hit http://us.archive.ubuntu.com precise-backports/multiverse amd64 Packages   
    Hit http://us.archive.ubuntu.com precise-backports/main i386 Packages          
    Hit http://us.archive.ubuntu.com precise-backports/restricted i386 Packages    
    Hit http://us.archive.ubuntu.com precise-backports/universe i386 Packages      
    Hit http://us.archive.ubuntu.com precise-backports/multiverse i386 Packages    
    Hit http://us.archive.ubuntu.com precise-backports/main TranslationIndex       
    Hit http://us.archive.ubuntu.com precise-backports/multiverse TranslationIndex 
    Hit http://us.archive.ubuntu.com precise-backports/restricted TranslationIndex 
    Hit http://us.archive.ubuntu.com precise-backports/universe TranslationIndex   
    Hit http://us.archive.ubuntu.com precise/main Translation-en                   
    Hit http://us.archive.ubuntu.com precise/multiverse Translation-en             
    Hit http://us.archive.ubuntu.com precise/restricted Translation-en             
    Hit http://us.archive.ubuntu.com precise/universe Translation-en               
    Get:36 http://us.archive.ubuntu.com precise-updates/main Translation-en [263 kB]
    Hit http://us.archive.ubuntu.com precise-updates/multiverse Translation-en     
    Hit http://us.archive.ubuntu.com precise-updates/restricted Translation-en     
    Hit http://us.archive.ubuntu.com precise-updates/universe Translation-en       
    Hit http://us.archive.ubuntu.com precise-backports/main Translation-en         
    Hit http://us.archive.ubuntu.com precise-backports/multiverse Translation-en   
    Hit http://us.archive.ubuntu.com precise-backports/restricted Translation-en   
    Hit http://us.archive.ubuntu.com precise-backports/universe Translation-en     
    Fetched 3,166 kB in 18s (173 kB/s)                                             
    Reading package lists... Done

    Thx guys
    Last edited by not found; March 25th, 2013 at 06:50 PM. Reason: code tags added

  5. #5
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    6,156
    Distro
    Lubuntu 14.04 Trusty Tahr

    Re: I keep getting a "requires the installation of untrusted packages" error

    jooge; Hi !
    I see no fault with the update - to move things along, the next step is terminal output of:
    Code:
    sudo apt-get upgrade

    just try'n to help

  6. #6
    Join Date
    Mar 2013
    Beans
    32

    Re: I keep getting a "requires the installation of untrusted packages" error

    Thx you guys very much. It seems to have worked. In the future, is it wiser to just install updates through the teminal as apposed to the update manager?

  7. #7
    Join Date
    Jan 2013
    Beans
    525

    Re: I keep getting a "requires the installation of untrusted packages" error

    Usually, yes. The terminal gives you details about what is going on and helps you to diagnose errors. So to upgrade there will help you catch them an d fix them.

  8. #8
    Join Date
    Apr 2011
    Location
    Mystletainn Kick!
    Beans
    4,156
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: I keep getting a "requires the installation of untrusted packages" error

    Quote Originally Posted by jooge View Post
    Thx you guys very much. It seems to have worked. In the future, is it wiser to just install updates through the teminal as apposed to the update manager?
    Since you're running 12.04, hitting the check button in the update manager does the same thing as apt-get update.

    What that does is update the package lists. Keeping everything current.

    Though you might find that running from the terminal to be a tad bit quicker.
    Splat Double Splat Triple Splat
    Earn Your Keep
    Don't mind me, I'm only passing through.
    Once in a blue moon, I'm actually helpful
    .

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •